package com.starcharge.wios.dto;

import com.starcharge.wios.validation.CreateEntityGroup;
import com.starcharge.wios.validation.UpdateEntityGroup;
import com.starcharge.wios.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
*@author:zhangqiliang
*@time:2023-11-22
 */
@Data
@ApiModel(value="DeliveryUpdateDTO", description="发货单的更新")
public class DeliveryUpdateDTO{
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    @NotNull(groups = UpdateEntityGroup.class )
    @Min(value = 1,groups = UpdateEntityGroup.class)
    private Integer id;

    /**
     * 发货单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "发货单号")
    private String deliveryOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "产品批次")
    private String productBatch;

    /**
     * 发货数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "发货数量")
    private Integer quantity;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料类别")
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    /**
     * 物料厂商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料厂商")
    private String materialCompany;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 物流服务商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流服务商")
    private String logisticCompany;

    /**
     * 物流状态  未发货  已发货
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流状态  未发货  已发货")
    private String logisticStatus;
    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请团队")
    private String team;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "是否产品或辅料 1 是 0 否")
    @NotNull(groups = CreateEntityGroup.class)
    private String isproduct;
    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
    /**
     * 到货仓库
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "到货仓库")
    private String arrivalWarehouse;

    /**
     * 到货仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "到货仓库id")
    private String arrivalWarehouseId;

    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货人")
    private String receiver;
    /**
     * 申请表
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请表")
    private String remarks;
    /**
     * 退货材料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货材料")
    private String rejectMaterial;
    /**
     * 退货材料数组
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货材料数组")
    private List<String> rejectMaterialList;
    /**
     * 退货原因
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货原因")
    private String reason;
    /**
     * 退货状态 已申请 已驳回 已通过 已关闭
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货状态 已申请 已驳回 已通过 已关闭")
    private String status;
    /**
     * 退货的审批时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货的审批时间")
    private LocalDateTime checkTime;
    /**
     * 退货的审核人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货的审核人")
    private String checkUser;
    /**
     * 退货的审核人姓名
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货的审核人姓名")
    private String checkUserName;
    /**
     * 退货的审核意见
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货的审核意见")
    private String checkSuggestion;
    /**
     * 车企单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "车企单号")
    private String outOrderId;


    private static final long serialVersionUID = 1L;


}